[**@rxap/form-system v19.0.4-dev.0**](../README.md)

***

[@rxap/form-system](../globals.md) / UseFormComponent

# Function: UseFormComponent()

> **UseFormComponent**(`component`): (`target`) => `void`

Defined in: [packages/angular/form-system/src/lib/decorators/use-form-component.ts:10](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/decorators/use-form-component.ts#L10)

Links a component with a form definition

## Parameters

### component

`Constructor`

## Returns

`Function`

### Parameters

#### target

`any`

### Returns

`void`
